package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Wifi;
import com.cloudcross.ssp.model.pojo.WifiPojo;
import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;

public interface IWifiService extends IGenericService<Wifi> {
	public List<Wifi> findNeighPosition(double longitude,double latitude,double dis,String location);
	public Wifi findAddress(String address);
	public void front2dbwifi(String str,Long adGroupId);
	public Map<String,String> getGeocoderLatitude(String address);
	public List<Wifi> findAllLocation(String location);
	public List<Wifi> findAllAdgroupWifi(Long adGroupId);
	public boolean deleteWifi(Long adGroupId);
	//原operator
	List<Wifi> findByParams(Map<String, Object> paramMap);
	int countByParamsOperator(Map<String, Object> paramMap);
	List<Wifi> findByParamsOperator(Map<String, Object> paramMap, Pager pager);
	
	public int countByParamsBack(Map<String, Object> paramMap); 
	List<Wifi> findByParamsBack(Map<String, Object> paramMap, Pager pager);
	List<Wifi> findByParamsBack(Map<String, Object> paramMap);
	
	//wifi分组
	public int countWifiGroupByCondition(Map<String,Object>paramMap);
	public List<WifiPojo> queryWifiGroupByCondition(Map<String, Object> paramMap, Pager pager);
	
	public int queryWifiCountByCondition(Map<String,Object>condition);
	public List<WifiPojo> queryWifiByCondition(Map<String,Object>condition,Pager pager);
	
	
	public int findWifiCountByCondition(Map<String,Object>condition);
	public List<Wifi>findWifiByCondition(Map<String,Object>condition,Pager pager);
}
